<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

/*************************************************/
/* Récupération interventions en fonction agence */
/*************************************************/

session_start(); 
sleep(1);
if (array_key_exists("age", $_REQUEST))
{
	$tomorrow = 0;//60*60*24; // en nb de secondes
	header("Cache-Control: max-age=$tomorrow");
	print_plain();
}
else
{
	print "Usage : $_SERVER[PHP_SELF]?age=un-code-agence";
}

function print_plain()
{
	header("Content-type: text/html; charset=windows-1252");
	$interv = get_int($_REQUEST["age"]);
	$result = array();
	foreach ($interv as $row)
	{
		if (($row["int_code"]<>"") AND ($row["int_code"]<>"-1"))
			$result[] = $row["int_code"]."=".$row["int_code"]." (Client : ".$row["int_codecli"].")";
		else
		{
			if ($row["int_code"]=="") 
				$result[] = $row["int_code"]."="."-- Faites votre choix --";
			if ($row["int_code"]=="-1")
				$result[] = $row["int_code"]."="."-- Pas d'intervention concernée --";
		}
	}
	print implode(";", $result);
}

function get_int($age)
{
	if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
	include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
	include_once("../inc/config.inc.php");
	include_once("../inc/func_txt.inc.php");
	$result = array();
	$tab = array(
		"int_code" => "",
		"int_codecli" => "");
	$result[] = $tab;

	$tab = array(
		"int_code" => "-1",
		"int_codecli" => "");
	$result[] = $tab;
	// On se connecte a la base
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	// On recupere les enregistrements
	$rech = "SELECT * FROM ".TBINT." WHERE (int_codeage='".str_majuscules($age)."'";
	$rech.= " OR int_codeages='".str_majuscules($age)."') AND int_datefin='0000-00-00' ORDER BY int_code DESC";
	$rs = mysql_query($rech) or die(mysql_error());
	// On cree le resultat
	while($row = mysql_fetch_array($rs))
	{
		$result[] = $row;
	}
	mysql_close();
	return $result;
}

?>